Package: grails.util

## [Java] Enum BuildScope

- grails.util.BuildScope

- Represents the different scopes that plugins apply to.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `ALL` |
    `FUNCTIONAL_TEST` |
    `RUN` |
    `TEST` |
    `WAR` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `KEY` | Represents the different scopes that plugins apply to.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `enable()` Enables this build scope as the curent system wide instance.
    `` | `static BuildScope` | `getCurrent()` Returns the current Scope object based on the currently set "grails.scope" System property
    `` | `static boolean` | `isValid(java.lang.String... scopeNames)` Returns whether the specified scope name(s) are valid given the current scope.
    `` | `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Enum` | `java.lang.Enum#name(), java.lang.Enum#equals(java.lang.Object), java.lang.Enum#toString(), java.lang.Enum#hashCode(), java.lang.Enum#compareTo(java.lang.Object), java.lang.Enum#compareTo(java.lang.Enum), java.lang.Enum#valueOf(java.lang.Class, java.lang.String), java.lang.Enum#getDeclaringClass(), java.lang.Enum#ordinal(), java.lang.Enum#wait(long, int), java.lang.Enum#wait(long), java.lang.Enum#wait(), java.lang.Enum#getClass(), java.lang.Enum#notify(), java.lang.Enum#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Enum Constant Detail

    - #### BuildScope ALL

    - #### BuildScope FUNCTIONAL_TEST

    - #### BuildScope RUN

    - #### BuildScope TEST

    - #### BuildScope WAR

  - ### Field Detail

    - #### public static final java.lang.String KEY

      Represents the different scopes that plugins apply to.

      Authors:
        Graeme Rocher
      Since:
        1.1

  - ### Method Detail

    - #### public void enable()

      Enables this build scope as the curent system wide instance.

    - #### @java.lang.Deprecated public static BuildScope getCurrent()

      Returns the current Scope object based on the currently set "grails.scope" System property

      deprecated:
        Relates to old Grails 2.x build system, do not use
      Returns:
        The Scope object

    - #### public static boolean isValid(java.lang.String... scopeNames)

      Returns whether the specified scope name(s) are valid given the current scope.

      Parameters:
        `scopeNames` - The list of scope names
      Returns:
        true if they are valid

    - #### @java.lang.Override public java.lang.String toString()